Create Feature Flag
curl --request POST \
--url https://dash.tinyanalytics.io/api/sites/{site}/feature-flags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "new-checkout",
"description": "New checkout flow test",
"enabled": true,
"runtime": "client",
"flagType": "multivariate",
"rolloutPercentage": 100,
"variants": [
{
"key": "control",
"rolloutPercentage": 50
},
{
"key": "treatment",
"rolloutPercentage": 50,
"payload": {
"color": "green"
}
}
],
"rules": [
{
"field": "country",
"operator": "equals",
"value": "US"
}
],
"conditionSets": []
}
'import requests
url = "https://dash.tinyanalytics.io/api/sites/{site}/feature-flags"
payload = {
"key": "new-checkout",
"description": "New checkout flow test",
"enabled": True,
"runtime": "client",
"flagType": "multivariate",
"rolloutPercentage": 100,
"variants": [
{
"key": "control",
"rolloutPercentage": 50
},
{
"key": "treatment",
"rolloutPercentage": 50,
"payload": { "color": "green" }
}
],
"rules": [
{
"field": "country",
"operator": "equals",
"value": "US"
}
],
"conditionSets": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: 'new-checkout',
description: 'New checkout flow test',
enabled: true,
runtime: 'client',
flagType: 'multivariate',
rolloutPercentage: 100,
variants: [
{key: 'control', rolloutPercentage: 50},
{key: 'treatment', rolloutPercentage: 50, payload: {color: 'green'}}
],
rules: [{field: 'country', operator: 'equals', value: 'US'}],
conditionSets: []
})
};
fetch('https://dash.tinyanalytics.io/api/sites/{site}/feature-flags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create Feature Flag
Creates a flag. Requires manage role.
POST
/
sites
/
{site}
/
feature-flags
Create Feature Flag
Authorizations
An API key created in your account settings, sent as Authorization: Bearer <key>.
Path Parameters
Site ID.
Body
application/json
Response
Success.
⌘I